### A free/open-source library for quantitative finance

Classes | Typedefs | Enumerations | Functions
ql/time/date.hpp File Reference

date- and time-related classes, typedefs and enumerations More...

`#include <ql/time/period.hpp>`
`#include <ql/time/weekday.hpp>`
`#include <ql/utilities/null.hpp>`
`#include <utility>`
`#include <functional>`
Include dependency graph for date.hpp:

## Classes

class | Date
| Concrete date class. More...
class | Null< Date >
| specialization of Null template for the Date class More...

## Typedefs

typedef Integer | Day
| Day number.
typedef Integer | Year
| Year number.

## Enumerations

enum | Month { January = 1, February = 2, March = 3, April = 4, May = 5, June = 6, July = 7, August = 8, September = 9, October = 10, November = 11, December = 12, Jan = 1, Feb = 2, Mar = 3, Apr = 4, Jun = 6, Jul = 7, Aug = 8, Sep = 9, Oct = 10, Nov = 11, Dec = 12 }
| Month names. More...

## Functions

std::ostream & | operator<< (std::ostream &, const short_date_holder &)
std::ostream & | operator<< (std::ostream &, const long_date_holder &)
std::ostream & | operator<< (std::ostream &, const iso_date_holder &)
detail::short_date_holder | short_date (const Date &)
| output dates in short format (mm/dd/yyyy)
detail::long_date_holder | long_date (const Date &)
| output dates in long format (Month ddth, yyyy)
detail::iso_date_holder | iso_date (const Date &)
| output dates in ISO format (yyyy-mm-dd)
BigInteger | operator- (const Date &d1, const Date &d2)
bool | operator== (const Date &d1, const Date &d2)
bool | operator!= (const Date &d1, const Date &d2)
bool | operator< (const Date &d1, const Date &d2)
bool | operator<= (const Date &d1, const Date &d2)
bool | operator> (const Date &d1, const Date &d2)
bool | operator>= (const Date &d1, const Date &d2)

## Detailed Description

date- and time-related classes, typedefs and enumerations